package net.sf.jasperreports.engine;

import java.awt.Color;

public interface JRChart extends JRElement, JRAnchor, JRHyperlink, JRBox, JRBoxContainer {
  public static final String PROPERTY_CHART_RENDER_TYPE = "net.sf.jasperreports.chart.render.type";
  
  public static final byte EDGE_TOP = 1;
  
  public static final byte EDGE_BOTTOM = 2;
  
  public static final byte EDGE_LEFT = 3;
  
  public static final byte EDGE_RIGHT = 4;
  
  public static final byte TITLE_POSITION_TOP = 1;
  
  public static final byte TITLE_POSITION_BOTTOM = 2;
  
  public static final byte TITLE_POSITION_LEFT = 3;
  
  public static final byte TITLE_POSITION_RIGHT = 4;
  
  public static final byte CHART_TYPE_AREA = 1;
  
  public static final byte CHART_TYPE_BAR3D = 2;
  
  public static final byte CHART_TYPE_BAR = 3;
  
  public static final byte CHART_TYPE_BUBBLE = 4;
  
  public static final byte CHART_TYPE_CANDLESTICK = 5;
  
  public static final byte CHART_TYPE_HIGHLOW = 6;
  
  public static final byte CHART_TYPE_LINE = 7;
  
  public static final byte CHART_TYPE_PIE3D = 8;
  
  public static final byte CHART_TYPE_PIE = 9;
  
  public static final byte CHART_TYPE_SCATTER = 10;
  
  public static final byte CHART_TYPE_STACKEDBAR3D = 11;
  
  public static final byte CHART_TYPE_STACKEDBAR = 12;
  
  public static final byte CHART_TYPE_XYAREA = 13;
  
  public static final byte CHART_TYPE_XYBAR = 14;
  
  public static final byte CHART_TYPE_XYLINE = 15;
  
  public static final byte CHART_TYPE_TIMESERIES = 16;
  
  public static final byte CHART_TYPE_METER = 17;
  
  public static final byte CHART_TYPE_THERMOMETER = 18;
  
  public static final byte CHART_TYPE_MULTI_AXIS = 19;
  
  public static final byte CHART_TYPE_STACKEDAREA = 20;
  
  public static final String RENDER_TYPE_DRAW = "draw";
  
  public static final String RENDER_TYPE_IMAGE = "image";
  
  public static final String RENDER_TYPE_SVG = "svg";
  
  boolean isShowLegend();
  
  void setShowLegend(boolean paramBoolean);
  
  byte getEvaluationTime();
  
  JRGroup getEvaluationGroup();
  
  JRBox getBox();
  
  JRExpression getTitleExpression();
  
  JRFont getTitleFont();
  
  byte getTitlePosition();
  
  void setTitlePosition(byte paramByte);
  
  Color getTitleColor();
  
  Color getOwnTitleColor();
  
  void setTitleColor(Color paramColor);
  
  JRExpression getSubtitleExpression();
  
  JRFont getSubtitleFont();
  
  Color getSubtitleColor();
  
  Color getOwnSubtitleColor();
  
  void setSubtitleColor(Color paramColor);
  
  Color getLegendColor();
  
  Color getOwnLegendColor();
  
  void setLegendColor(Color paramColor);
  
  Color getOwnLegendBackgroundColor();
  
  Color getLegendBackgroundColor();
  
  void setLegendBackgroundColor(Color paramColor);
  
  JRFont getLegendFont();
  
  byte getLegendPosition();
  
  void setLegendPosition(byte paramByte);
  
  JRChartDataset getDataset();
  
  JRChartPlot getPlot();
  
  byte getChartType();
  
  String getCustomizerClass();
  
  String getRenderType();
  
  void setRenderType(String paramString);
}
